Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface ITextEditorExtension2

All Known Implementing Classes:
  AbstractTextEditor

public interface ITextEditorExtension2

Extension interface for `ITextEditor`. Adds the following functions:

- modifiable state of the editor's input
- validate state of editor input

Since:
  2.1

Method Summary
`boolean` | `isEditorInputModifiable()` Returns whether the editor's input can be persistently be modified.
`boolean` | `validateEditorInputState()` Validates the state of the given editor input.

Method Detail

### isEditorInputModifiable

    public boolean isEditorInputModifiable()

  Returns whether the editor's input can be persistently be modified. This is orthogonal to `ITextEditorExtension.isEditorInputReadOnly` as read-only elements may be modifiable and writable elements may not be modifiable. If the given element is not connected to this document provider, the result is undefined. Document providers are allowed to use a cache to answer this question, i.e. there can be a difference between the "real" state of the element and the return value.

  Returns:
    `true` if the editor input is modifiable

### validateEditorInputState

    public boolean validateEditorInputState()

  Validates the state of the given editor input. The predominate intent of this method is to take any action probably necessary to ensure that the input can persistently be changed.

  Returns:
    `true` if the input was validated, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.